<?php
/**
 * 主题 API 接口
 */
if(!defined('THEME_NAME')) die('非法访问 - Insufficient Permissions');

// 点赞
function mk_post_like() {
    header('Content-type: application/json;charset=utf-8');
    global $wpdb, $post;
    $id = $_POST["id"];
    $ality_like = get_post_meta($id, 'ality_like', true);
    $expire = time() + 99999999;
    $domain = ($_SERVER['HTTP_HOST'] != 'localhost') ? $_SERVER['HTTP_HOST'] : false;
    setcookie('ality_like_'.$id, $id, $expire, '/', $domain, false);
    if (!$ality_like || !is_numeric($ality_like)) {
        $ality_like = 1;
    } else {
        $ality_like++;
    }
    update_post_meta($id, 'ality_like', $ality_like);
    die($ality_like . '');
}
add_action('wp_ajax_nopriv_mk_post_like', 'mk_post_like');
add_action(       'wp_ajax_mk_post_like', 'mk_post_like');


// 获取 QQ 信息
function mk_get_qq_info() {
    header('Content-type: application/json;charset=utf-8');
    $QQNum    = intval($_GET['qq']);
    $content  = file_get_contents('http://r.qzone.qq.com/fcg-bin/cgi_get_portrait.fcg?g_tk=1518561325&uins=' . $QQNum);
    $content  = mb_convert_encoding($content, 'utf-8', 'GBK,UTF-8,ASCII');    // 解决编码问题
    $nickName = $QQNum;
    if(preg_match('/\w+\((.*)\)/isU', $content, $matches)) {
        $json = @json_decode('['.$matches[1].']', true);
        $nickName = $json[0][$QQNum][6];
    }
    $result = array(
        'code'     => 200,
        'nickName' => $nickName,
        'email'    => $QQNum . '@qq.com',
        'avatar'   => 'https://q2.qlogo.cn/g?b=qq&nk=' . $QQNum . '&s=140'
    );
    die(json_encode($result));
}
add_action('wp_ajax_nopriv_mk_get_qq_info', 'mk_get_qq_info');
add_action(       'wp_ajax_mk_get_qq_info', 'mk_get_qq_info');


// 图片上传
function mk_pic_uload() {
    header('Content-type: application/json;charset=utf-8');
    $smms_token = mk_theme_option('smms_token');
    if(!$smms_token) {
        die(json_encode(array('code' => 500, 'msg' => '请在主题选项中配置 SM.MS 图床 Secret Token!')));
    }
    
    if(!isset($_FILES['pic_upload']['tmp_name'])) {
        die(json_encode(array('code' => 404, 'msg' => '没有图片被上传')));
    }
    
    $file = $_FILES['pic_upload']['tmp_name'];
    if(!file_exists($file)) {
        die(json_encode(array('code' => 404, 'msg' => '未找到上传的图片')));
    }
    
    // POST 文件
    if(class_exists('CURLFile')) {     // php 5.5
        $post['smfile'] = new CURLFile(realpath($file));
    } else {
        $post['smfile'] = '@'.realpath($file);
    }
    
    // CURL提交
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'https://sm.ms/api/v2/upload');
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false); 
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.108 Safari/537.36');
    curl_setopt($ch, CURLOPT_HTTPHEADER, array('Authorization: ' . $smms_token));
    $content = curl_exec($ch);
    curl_close($ch);
    $result = json_decode($content, true);
    $output_url = '';
    if(isset($result['code'])) {
        switch ($result['code']) {
            case 'success':            // 上传成功
                $output_url = $result['data']['url'];
            break;
            case 'image_repeated':     // 图片重复了
                $output_url = $result['images'];
            break;
        }
    }
    
    if($output_url) {
        die(json_encode(array('code' => 200, 'msg' => '上传成功', 'url' => $output_url)));
    } else {
        die(json_encode(array('code' => 405, 'msg' => '图片上传失败', 'content' => $content)));
    }
}
add_action('wp_ajax_nopriv_mk_pic_upload', 'mk_pic_uload');
add_action(       'wp_ajax_mk_pic_upload', 'mk_pic_uload');

